## javax.xml.datatype
Class DatatypeConstants.Field

    java.lang.Object
      javax.xml.datatype.DatatypeConstants.Field

Enclosing class:
  DatatypeConstants

    public static final class DatatypeConstants.Field

extends java.lang.Object

Type-safe enum class that represents six fields of the `Duration` class.

Method Summary
`int` `getId()` Get id of this Field.
`java.lang.String` `toString()` Returns a field name in English.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### toString

    public java.lang.String toString()

  Returns a field name in English. This method is intended to be used for debugging/diagnosis and not for display to end-users.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a non-null valid String constant.

### getId

    public int getId()

  Get id of this Field.

  Returns:
    Id of field.

Copyright © 1999-2006 Apache XML Project. All Rights Reserved.